import React from "react";

function HomePage() {
  const birthDate = new Date(2005, 3, 21); // Month is 0-indexed, so 3 is April
  const today = new Date();
  let age = today.getFullYear() - birthDate.getFullYear();
  const m = today.getMonth() - birthDate.getMonth();
  if (m < 0 || (m === 0 && today.getDate() < birthDate.getDate())) {
    age--;
  }
  return (
    <section className="centered">
      <div>
        <h1>Startseite</h1>
        <p style={{ marginTop: '1.5em' }}>
          <b>
            Hallo und danke f&uuml;rs Daraufklicken! Ich bin Simon Altsch&auml;ffl, {age}<span> </span>
            Jahre alt und derzeit Sch&uuml;ler f&uuml;r Wirtschaftsinformatik an der EDV-Schule
            Plattling.
          </b>
        </p>
        <img src="assets/img/picture.jpg" alt="Mein Foto" className="center-image"/>
        <p>
          <em>Willkommen auf meiner Website!</em> Hier stelle ich mich detailliert vor,
          pr&auml;sentiere meine Projekte und teile meine Erfahrung in der
          Informatik.
        </p>

        <p>
            Entdecken Sie gerne meine Projekte, die bereits abgeschlossen sind oder derzeit noch in Entwicklung sind. Erfahren Sie auch mehr &uuml;ber mich und meine Ziele, au&szlig;erdem k&ouml;nnen Sie gerne mit mir Kontakt aufnehmen.
        </p>
      </div>
    </section>
  );
}

export default HomePage;